import sys
from image_convert import ImageShrink
from get.combined import ImageGetCombined
from image_show import ImageShow

if len(sys.argv) == 2 and sys.argv[1] == "test":
    print("Running test")
    shower = ImageShow()
    shower.draw_sample_image()
    sys.exit()

shrink_kwargs = {}
# if "dither" in sys.argv:
#     print("Enabling dithering")
#     shrink_kwargs["dither"] = True
# if "noreduce" in sys.argv:
#     print("Disabling color reduction")
#     shrink_kwargs["colors"] = -1
if "reduce" in sys.argv:
    print("Enabling color reduction")
    shrink_kwargs["reduce_colors"] = True


getter = ImageGetCombined()
converter = ImageShrink(**shrink_kwargs)
shower = ImageShow()

image = getter.get_random_image()
image = converter.convert(image)
shower.show_image(image)
